package cn.lihongjie.coal.weightDevice.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.weightDevice.dto.CreateWeightDeviceDto;
import cn.lihongjie.coal.weightDevice.dto.UpdateWeightDeviceDto;
import cn.lihongjie.coal.weightDevice.dto.WeightDeviceDto;
import cn.lihongjie.coal.weightDevice.service.WeightDeviceService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/weightDevice")
@SysLog(module = "地磅设备")
@Slf4j
@OrgScope
public class WeightDeviceController {
    @Autowired private WeightDeviceService service;

    @PostMapping("/create")
    public WeightDeviceDto create(@RequestBody CreateWeightDeviceDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public WeightDeviceDto update(@RequestBody UpdateWeightDeviceDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public WeightDeviceDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<WeightDeviceDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
